import org.springframework.beans.factory.BeanFactory;
import org.springframework.beans.factory.xml.XmlBeanFactory;
import org.springframework.core.io.ClassPathResource;

public class Main {

  public static void main(String[] args) throws Exception {
    BeanFactory beanFactory = new XmlBeanFactory(new ClassPathResource("context.xml"));
    PropertyEditorTestBean testBean = (PropertyEditorTestBean) beanFactory.getBean("testBean");

    System.out.println(testBean.getMyBytes().length);
  }
}

class PropertyEditorTestBean {
  private byte[] myBytes;

  public byte[] getMyBytes() {
    return myBytes;
  }

  public void setMyBytes(byte[] myBytes) {
    this.myBytes = myBytes;
  }
}